#include "Cube.h"
#include <sstream>

Cube::Cube(float x, float y, float z, float width, float height, float depth, bool bStatic, string name) : GameObject(x,y,z,bStatic,name)
{
	this->width = width;
	this->height = height;
	this->depth = depth;
}

Cube::~Cube(void)
{
}

float Cube::getWidth()
{
	return width;
}

float Cube::getDepth()
{
	return depth;
}

float Cube::getHeight()
{
	return height;
}
bool Cube::containsPos(float x, float y, float z)
{
	int offset = 10;
	
	// Note that the cube is centered
	return (x > pos.getX()-width/2-offset && x < pos.getX()+width/2+offset &&
			y > pos.getY()-height/2-offset && y < pos.getY()+height/2+offset &&
			z > pos.getZ()-width/2-offset && z < pos.getZ()+depth/2+offset);
}