#ifndef GAMEBOX_H
#define GAMEBOX_H

#include "Cube.h"

class GameBox : public Cube
{
public:
	GameBox(float x, float y, float z, float width, float height, float depth, bool bStatic, string name="");
	~GameBox(void);
	Vec3 toStartPos();
	void setNewPos(float x, float y, float z);
	Vec3 moveToNewPos(float timeSinceLastFrame);
	bool isMoving();

private:
	Vec3 newPos;

};

#endif // GAMEBOX_H
