#include "Vec3.h"
#include <cmath>
/**
 *	Empty Vec3 constructor. construct a 0-vector
 */
Vec3::Vec3(void)
{
	x = 0;
	y = 0;
	z = 0;
}

Vec3::Vec3(float x, float y, float z)
{
	this->x = x;
	this->y = y;
	this->z = z;
}

Vec3::~Vec3(void)
{
}

void Vec3::set(Vec3 other)
{
	this->x = other.getX();
	this->y = other.getY();
	this->z = other.getZ();
}

void Vec3::set(float x, float y, float z)
{
	this->x = x;
	this->y = y;
	this->z = z;
}

void Vec3::setX(float x)
{
	this->x = x;
}

float Vec3::getX()
{
	return x;
}

void Vec3::setY(float y)
{
	this->y = y;
}

float Vec3::getY()
{
	return y;
}

void Vec3::setZ(float z)
{
	this->z = z;
}

float Vec3::getZ()
{
	return z;
}

bool Vec3::operator==(const Vec3& other)
{
	return (this->getX() == other.x && this->getY() == other.y && this->getZ() == other.z);
}

bool Vec3::operator!=(const Vec3& other)
{
	return !((*this) == other);
}