#ifndef CUBE_H
#define CUBE_H

#include "GameObject.h"
#include "Vec3.h"
#include <string>

using namespace std;

class Cube : public GameObject
{
public:
	Cube(float x, float y, float z, float width, float height, float depth, bool bStatic, string name="");
	virtual ~Cube(void);
	float getWidth();
	float getDepth();
	float getHeight();
	bool containsPos(float x, float y, float z);
protected:
	float width,depth,height;
};

#endif // GAMEOBJECT_H