#ifndef VEC3_H
#define VEC3_H

class Vec3
{
public:
	Vec3(void);
	Vec3(float x, float y, float z);
	~Vec3(void);
	void set(Vec3 other);
	void set(float x, float y, float z);
	float getX();
	void setX(float x);
	float getY();
	void setY(float y);
	float getZ();
	void setZ(float z);
	bool operator==(const Vec3& other);
	bool operator!=(const Vec3& other);
private:
	float x,y,z;	
};

#endif // VEC3_H